<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.orderItem.home.title">Order Items</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-order-item" [routerLink]="['/order-item/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.orderItem.home.createLabel">
            Create new Order Item
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="orderItems">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="quantity"><span jhiTranslate="restaurantApplicationApp.orderItem.quantity">Quantity</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="totalPrice"><span jhiTranslate="restaurantApplicationApp.orderItem.totalPrice">Total Price</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="status"><span jhiTranslate="restaurantApplicationApp.orderItem.status">Status</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="product.name"><span jhiTranslate="restaurantApplicationApp.orderItem.product">Product</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="order.code"><span jhiTranslate="restaurantApplicationApp.orderItem.order">Order</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let orderItem of orderItems ;trackBy: trackId">
                <td><a [routerLink]="['/order-item', orderItem.id, 'view' ]">{{orderItem.id}}</a></td>
                <td>{{orderItem.quantity}}</td>
                <td>{{orderItem.totalPrice}}</td>
                <td jhiTranslate="{{'restaurantApplicationApp.OrderItemStatus.' + orderItem.status}}">{{orderItem.status}}</td>
                <td>
                    <div *ngIf="orderItem.product">
                        <a [routerLink]="['../product', orderItem.product?.id, 'view' ]" >{{orderItem.product?.name}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="orderItem.order">
                        <a [routerLink]="['../product-order', orderItem.order?.id, 'view' ]" >{{orderItem.order?.code}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/order-item', orderItem.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/order-item', orderItem.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'order-item', { outlets: { popup: orderItem.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="orderItems && orderItems.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [maxSize]="5" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
